Language.Haskell.GhcMod.Monad.Types

# Monad Types

type GhcModT m

data GmOutT m a

data GmT m a

data GmlT m a

data LightGhc a

type GmGhc m

type IOish m

# Environment, state and logging

data GhcModEnv

data GhcModState

data GhcModCaches

defaultGhcModState

data GmGhcSession

data GmComponent t eps

# Accessing `GhcModEnv`, `GhcModState` and `GhcModLog`

data GmLogLevel

data GhcModLog

data GhcModError

type Gm m

class GmEnv m

class GmState m

class GmLog m

class GmOut m

cradle

options

outputOpts

withOptions

getMMappedFiles

setMMappedFiles

addMMappedFile

delMMappedFile

lookupMMappedFile

getMMappedFilePaths

# Re-exporting convenient stuff

class MonadIO m

liftIO

gmlGetSession

gmlSetSession